use strict;
use Test::More tests => 2;

use_ok('Make::Naive');

my $set = Make::Naive->new();

$set->rule('foo',sub {},'bar');

$set->rule('foo',sub {},'bar')
    ->rule('foo1',sub {},'bar1');

$set->name('Hello world')
    ->rule('foo',sub {},'bar')
    ->rule('foo1',sub {},'bar1');

my @order = $set->ordered_targets;
is_deeply(\@order, [qw[ bar bar1 foo foo1 ]], 'Simple ordering works')
  or diag join "->", @order;


